%define	name	sip
%define	version	3.10.2
%define release	4mdk

%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Summary:	Python bindings generator for C++ class libraries.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL QPL
Group:		Development/Python
Source:		http://www.river-bank.demon.co.uk/download/sip/%{name}-%{version}.tar.bz2
URL:		http://www.riverbankcomputing.co.uk/sip/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libpython-devel >= %{py_ver}
BuildRequires:	qt3-devel
Provides: %{_lib}sip11
Obsoletes: %{_lib}sip11
Provides: %{_lib}sip10
Obsoletes: %{_lib}sip10


%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.


%package devel
Summary:	Libraries and include files for developing.
Group:		Development/C++
Requires:	%{name} = %{version}-%release
Provides: 	libsip-devel = %{version}-%release
Provides: %{_lib}sip11-devel
Obsoletes: %{_lib}sip11-devel
Provides: %{_lib}sip10-devel
Obsoletes: %{_lib}sip10-devel

%description devel
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.


%prep
%setup -q

%build
%{__python} configure.py -k -l qt-mt \
	-d %{_libdir}/python%{py_ver}/site-packages \
	-b %{_bindir}
%make
%{__python} configure.py -l qt-mt \
        -d %{_libdir}/python%{py_ver}/site-packages \
        -b %{_bindir}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m644 siplib/libsip.a -D $RPM_BUILD_ROOT%{_libdir}/libsip.a
install sipconfig.pyc $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files devel
%defattr(-, root, root, 755)
%doc NEWS README
%{_bindir}/sip
%{_includedir}/python%{py_ver}/sip.h
%{_includedir}/python%{py_ver}/sipQt.h
%{_libdir}/libsip.a

%files
%defattr(-, root, root, 755)
%{_libdir}/python%{py_ver}/site-packages/sipconfig.py*
%{_libdir}/python%{py_ver}/site-packages/libsip.so

%changelog
* Wed Jun  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.10.2-4mdk
- obsolete libsip10 too

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.10.2-3mdk
- drop library packages

* Mon Jun 07 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.10.2-2mdk
- fix build and install problems
- drop .so.*, they no longer exist
- use %%{py_ver} macro

* Sat Jun 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.10.2-1mdk
- 3.10.2

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.10.1-1mdk
- add sipconfig
- major 11
- add source URL
- new version

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.8-3mdk
- fix buildrequires

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.8-2mdk
- fix buildrequires
- move libsip.so to the lib package, as it's required by generated bindings
- move sip to the devel package

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 3.8-1mdk
- 3.8

* Sat Aug 9 2003 Austin Acton <aacton@yorku.ca> 3.6-8mdk
- the one true fix (eat your heart out per oyvind :-) )

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6-7mdk
- really rebuild for new python (austin was the sucky one this time;)

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 3.6-6mdk
- python 2.3

* Sat Jul 19 2003 Till Kamppeter <till@mandrakesoft.com> 3.6-5mdk
- Rebuild

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-4mdk
- fix path to qt3 (lib64 issues)
- use %%mklibname macro for -devel package

* Tue May 27 2003 Austin Acton <aacton@yorku.ca> 3.6-3mdk
- rebuild for rpm 4.2

* Tue Apr 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-2mdk
- added QPL to license

* Tue Apr 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-1mdk
- 3.6 (lib major 9)
- cleanups
- fix license
- make --short-circuitable
- use %%mklibname macro

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5-1mdk
- 3.5

* Sat Aug 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-2mdk
- fix Provides for libsip9.

* Wed Jul 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2
- use the new sip's build script

* Sat Jun 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.4-1mdk
- 3.2.4

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-2mdk
- rebuild against new libstdc++

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue May 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.1-1mdk
- version 3.1 (lib major 8).
- update URL.

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0-3mdk
- merge with  RA <ralf_ahlbrink@web.de> mods :
	- added BuildRequires: libpython2.2-devel

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 3.0-1mdk
- version 3.0 (lib major 7)

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 2.5-2mdk
- rebuild against libpng3
- %%makeinstall_std
- std %%build step (macros..)
- added %%dir %%{_includedir}/sip in -devel package

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-3mdk
- fixed some errors in spec file (sorry, my first package)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-2mdk
- fixed the Python dependency (>= 2.0 instead of = 2.0)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to version 2.4

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3-2mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- updated to 2.3

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
        - built on Mandrake-7.2 following Mandrake RPM guidelines


